List withdrawals
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.prudra.dev/wallet-infra/withdrawals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.prudra.dev/wallet-infra/withdrawals"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.prudra.dev/wallet-infra/withdrawals \
--header 'Authorization: Bearer <token>'[
{
"id": "wdr_abc123",
"status": "pending_conversion",
"txHash": "0xabc...",
"amount": "100.00",
"token": "USDC",
"chain": "base",
"estimatedDays": 3,
"reference": "WD-1234567890",
"createdAt": "2023-11-07T05:31:56Z"
}
]Withdrawals
List withdrawals
GET
/
wallet-infra
/
withdrawals
List withdrawals
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.prudra.dev/wallet-infra/withdrawals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.prudra.dev/wallet-infra/withdrawals"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.prudra.dev/wallet-infra/withdrawals \
--header 'Authorization: Bearer <token>'[
{
"id": "wdr_abc123",
"status": "pending_conversion",
"txHash": "0xabc...",
"amount": "100.00",
"token": "USDC",
"chain": "base",
"estimatedDays": 3,
"reference": "WD-1234567890",
"createdAt": "2023-11-07T05:31:56Z"
}
]Authorizations
Your Prudra API key. Get one at dashboard.prudra.com/settings/api-keys
Response
200 - application/json
Withdrawal history
Example:
"wdr_abc123"
Example:
"pending_conversion"
Example:
"0xabc..."
Example:
"100.00"
Example:
"USDC"
Example:
"base"
Example:
3
Example:
"WD-1234567890"

